<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.*?>
<?import javafx.scene.image.ImageView?>
<?import kamala.kalpana.javafx.components.MetroTitleBar?>
<?import org.tbee.javafx.scene.layout.fxml.*?>
<MigPane
        xmlns:fx="http://javafx.com/fxml"
        fx:id="loginPane"
        fx:controller="kamala.kalpana.controllers.LotusLoginController"
        stylesheets="/css/lotus_chat.css, /css/metro_style.css"
        layout="ins 0 0 5 0"
        cols="[grow, fill]"
        rows="[25px, fill]0[2px]0[grow, fill]">

    <MetroTitleBar fx:id="titleBar" MigPane.cc="cell 0 0" minimize="false" maximize="false" text="Lotus Chat Login"/>

    <MigPane
            fx:id="loginInternalPane"
            MigPane.cc="cell 0 2"
            layout=""
            cols="[grow 20, fill][grow 60, fill, center][grow 20, fill]"
            rows="[grow, fill][][][][]">

        <ImageView fx:id="ivLotus" MigPane.cc="cell 0 0, spanx 3, center"/>
        <TextField fx:id="bxAccount" MigPane.cc="cell 1 1" promptText="Username"/>
        <PasswordField fx:id="bxPassword" MigPane.cc="cell 1 2" promptText="Password"/>
        <CheckBox fx:id="bxSaveAccount" text="Save Account" MigPane.cc="cell 1 3, split 2"/>
        <CheckBox fx:id="bxSavePassword" text="Save Password" MigPane.cc="cell 1 3"/>
        <Button fx:id="btnLogin" text="Login" MigPane.cc="cell 1 4" styleClass="regularButton" defaultButton="true" onAction="#tryLogin"/>
    </MigPane>
</MigPane>